Updates a billing account's fields. Currently the only field that can be edited is displayName. The current authenticated user must have the billing.accounts.update IAM permission, which is typically given to the administrator of the billing account.
HTTP request
PATCH https://cloudbilling.googleapis.com/v1/{name=billingAccounts/*}
The URL uses Google API HTTP annotation syntax.
Path parameters
| Parameters | |
|---|---|
name |
The name of the billing account resource to be updated. |
Query parameters
| Parameters | |
|---|---|
updateMask |
The update mask applied to the resource. Only "displayName" is currently supported. A comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of BillingAccount.
Response body
If successful, the response body contains an instance of BillingAccount.
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-billing
For more information, see the Auth Guide.